You are viewing the PKP Support Forum | PKP Home Wiki

OJS 2312 Intallation Error

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

OJS 2312 Intallation Error

Postby Kahraman11 » Sat Jan 30, 2010 9:46 am

I Installed OJS 2312 on a XAMPP (http://sourceforge.net/projects/xampp/f ... .3a.tar.gz) and Ubuntu 9.10.
I performed installation procedures as described in Readme File.
PHP is running as safe mode OFF.
When I try to open OJS for to complete its installation. There is message like this:
Fatal error: Cannot redeclare class Locale in /opt/lampp/htdocs/ojs2312/classes/i18n/Locale.inc.php on line 28
Please help me, how can I complete its installation via Web and run OJS?
Dr. Ali Cetin
Posts: 2
Joined: Mon Apr 06, 2009 7:10 pm

Re: OJS 2312 Intallation Error

Postby koscianski » Fri Mar 12, 2010 12:01 pm

Same error.

Installed last Apache, last MySQL, last PHP. It should not matter, but just for reference, this is on top of Windows XP and
other PHP applications run just fine.

OJS blows; PHP complains, the log file reads:
PHP Fatal error: Cannot redeclare class Locale in D:\path\ojs\classes\i18n\Locale.inc.php on line 28

I began replacing the identifier "Locale" with "Localex" , guessing it seems to be a duplicated identifier.
Seemed to work as far as I got patience to play with (the error moved to other files using 'Locale::something').

By the way: thank you developers for OJS :wink: , but, *please*, provide more detailed information (like PHP required settings)
concerning installation :evil: , or state explicitely that installers are not required to bother with *any* parameters.
Posts: 1
Joined: Fri Mar 12, 2010 11:06 am

Re: OJS 2312 Intallation Error

Postby mcrider » Fri Mar 19, 2010 3:29 pm

Hi Koscianski,

This appears to be caused by PHP 5.3's new localization code conflicting with OJS'. If your other PHP applications don't require it, you could disable the internationalization extension in PHP, otherwise keep an eye on this bug for a patch: http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=5240.

Posts: 952
Joined: Mon May 05, 2008 10:29 am
Location: Vancouver, BC

Re: OJS 2312 Intallation Error

Postby blstzus » Fri Jul 06, 2012 1:57 am

Hi Matt,
I have the same problem as this one. I have checked the link: http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=5240
There are a lot of links there. Do I have to apply patch for all the links?
Sorry, first time applying patch.

Thank you.

Posts: 16
Joined: Mon Apr 26, 2010 12:08 am

Return to OJS Technical Support

Who is online

Users browsing this forum: Google [Bot] and 1 guest